<div class="container">
  <std-card card-title="Actieve CPA's">

    <div *ngIf="allCpaErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{allCpaErrorMessage}}</h4>
    </div>

    <div *ngIf="deactivationErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{deactivationErrorMessage}}</h4>
    </div>

    <div *ngIf="deletionErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{deletionErrorMessage}}</h4>
    </div>

    <div *ngIf="resendErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{resendErrorMessage}}</h4>
    </div>

    <div class="content-page" *ngIf="resendSuccessLabel">
      <strong style="color:green">{{ resendSuccessLabel }}</strong>
    </div>

    <div *ngIf="pingErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{pingErrorMessage}}</h4>
    </div>

    <div class="content-page" *ngIf="pingSuccessLabel">
      <strong style="color:green">{{ pingSuccessLabel }}</strong>
    </div>

    <div *ngIf="allCpaResponse && allCpaResponse.length > 0">

      <div class="form-group">
        <input type="search" class="form-control" [(ngModel)]="searchText" placeholder="Filter op CPA Id">
      </div>

      <div class="col-lg-12">
        <table class="table table-hover">
          <caption>Lijst van actieve CPA's</caption>
          <thead>
            <tr>
              <th scope="col">CPA Id</th>
              <th scope="col"></th>
              <th scope="col"></th>
              <th scope="col"></th>
              <th scope="col"></th>
              <th scope="col"></th>
            </tr>
          </thead>
          <tbody>
            <tr class="table-light" *ngFor="let item of allCpaResponse | cpafilter : searchText | paginate: { itemsPerPage: 10, currentPage: page, totalItems: allCpaResponse.length } ">
              <th scope="row">
                <a [routerLink]="['/view', item]">{{ item }}</a>
              </th>
              <td>
                <std-button type="primary" (click)="downloadCpa(item)">Download</std-button>
              </td>
              <td>
                  <std-button type="primary" (click)="pingCpa0to1(item)">Ping 0>1</std-button>
                  <std-button type="warning" (click)="pingCpa1to0(item)">Ping 1>0</std-button>
              </td>
              <td>
                <std-button type="primary" (click)="confirmAction(item, 'Deactivate')">Deactivate</std-button>
                <std-button type="warning" (click)="confirmAction(item, 'Delete')">Delete</std-button>
              </td>
              <td>
                <std-button type="primary" (click)="confirmAction(item, 'Resend Failed')">Resend_Failed</std-button>
                <std-button type="warning" (click)="confirmAction(item, 'Resend Expired')">Resend_Expired</std-button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="row">
        <pagination-controls class="pag-control-align" previousLabel="Prev" nextLabel="Next" (pageChange)="page = $event"></pagination-controls>
      </div>
    </div>

    <div [hidden]="allCpaResponse || allCpaErrorMessage || deactivationErrorMessage || deletionErrorMessage || resendErrorMessage || resendSuccessLabel || pingErrorMessage || pingSuccessLabel">
      <mat-spinner></mat-spinner>
      <h4>Aan het laden. . . Even wachten</h4>
    </div>

    <div *ngIf="allCpaResponse && allCpaResponse.length === 0">
      <h3>Er zijn momenteel geen actieve CPA's beschikbaar. Probeer het later nog eens.</h3>
    </div>

  </std-card>
</div>